ome-xml 5.2.3

Classes | Functions
ome::xml::meta Namespace Reference

Metadata storage and retrieval. More...

## Classes
class | AggregateMetadata
| Aggregating metadata store. More...
class | BaseMetadata
| Abstract base class for metadata storage and retrieval. More...
class | DummyMetadata
| Dummy metadata store. More...
class | FilterMetadata
| Filtered metadata store. More...
class | Metadata
| Abstract class for metadata storage and retrieval. More...
class | MetadataException
| Exception thrown for metadata consistency and validity errors. More...
class | MetadataRetrieve
| Metadata retrieval interface. More...
class | MetadataRoot
| Metadata root node interface. More...
class | MetadataStore
| Metadata storage interface. More...
class | OMEXMLMetadata
| A metadata store implementation for constructing and manipulating OME-XML DOMs for the current version of the OME-XML schema. More...
class | OMEXMLMetadataRoot
| OME-XML metadata root node. More...

## Functions
void | convert (const MetadataRetrieve &src, MetadataStore &dest)
| A utility class containing a method for piping a source MetadataRetrieve object into a destination MetadataStore. More...
void | convert (MetadataRetrieve &src, MetadataStore &dest, bool skip)
| A utility class containing a method for piping a source MetadataRetrieve object into a destination MetadataStore. More...

## Detailed Description

Metadata storage and retrieval.

These interfaces and implementations are generated from the OME Data Model.

## Function Documentation

## § convert() [1/2]

void ome::xml::meta::convert | ( | const MetadataRetrieve & | src,
|  | MetadataStore & | dest
| ) |  |

A utility class containing a method for piping a source MetadataRetrieve object into a destination MetadataStore.

This allows conversion between two different storage media.

Parameters

  src | the source object.
  dest | the destination object. type; dest will take ownership of the root object.

Referenced by convert().

Here is the caller graph for this function:

## § convert() [2/2]

void ome::xml::meta::convert | ( | MetadataRetrieve & | src,
|  | MetadataStore & | dest,
|  | bool | skip
| ) |  |

A utility class containing a method for piping a source MetadataRetrieve object into a destination MetadataStore.

This allows conversion between two different storage media.

Note
  Only skip if it is acceptable and safe for the destination object to take ownership of the source metadata root object.

Parameters

  src | the source object.
  dest | the destination object.
  skip | if `true`, skip deep copy if src and dest are of the same, else if `false` always deep copy. type; dest will take ownership of the root object.

References convert(), ome::xml::meta::MetadataStore::getRoot(), and ome::xml::meta::MetadataStore::setRoot().